Summary:	Generate scalable fonts for TeX
Summary(pl.UTF-8):	Generowanie skalowanych fontów dla TeXa
Name:		mftrace
Version:	1.2.13
Release:	1
License:	GPL
Group:		Applications/Publishing
Source0:	https://lilypond.org/download/sources/mftrace/%{name}-%{version}.tar.gz
# Source0-md5:	0d3f2ae9cff1f2677fbf968eb40c9238
URL:		http://lilypond.org/mftrace/
Requires:	potrace
Requires:	python >= 2.1
Requires:	t1utils
Requires:	tetex-metafont
Conflicts:	autotrace < 0.30
Conflicts:	pfaedit < 020215
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font). It is
licensed under the GNU GPL.

Type1 fonts offer many advantages over bitmaps, as they allow
PostScript files to render correctly on printers with many
resolutions. Moreover, Ghostscript can generate much better PDF, if
given scalable fonts.

Note: fontforge (or pfaedit >= 020215) is recommended for autohinting.

%description -l pl.UTF-8
mftrace to mały program w Pythonie pozwalający na trasowanie TeXowych
fontów bitmapowych do fontów PFA lub PFB (skalowanych fontów
PostScript Type1). Program jest rozpowszechniany na licencji GNU GPL.

Fonty Type1 oferują wiele zalet w stosunku do bitmap, jako że
pozwalają na poprawne odwzorowanie plików w PostScripcie na drukarkach
w wielu rozdzielczościach. Co więcej, ghostscript może generować dużo
lepsze PDF-y, jeśli ma skalowalne fonty.

Zalecany jest pakiet fontforge (lub pfaedit >= 020215) do
automatycznego hintingu.

%prep
%setup -q

%build
%configure \
	POTRACE=/usr/bin/potrace \
	PYTHON=%{__python} \
	AUTOTRACE=/usr/bin/autotrace

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL=install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt
%attr(755,root,root) %{_bindir}/gf2pbm
%attr(755,root,root) %{_bindir}/mftrace
%{_mandir}/man1/mftrace.1*
%dir %{_datadir}/mftrace
%{_datadir}/mftrace/afm.pyc
%{_datadir}/mftrace/afm.py
%{_datadir}/mftrace/tfm.pyc
%{_datadir}/mftrace/tfm.py
%changelog
* Sun Jun 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mftrace.git;a=log;h=master

* Sun Jun 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 89b0d7f
- new URLs, updated to 1.2.13

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3d9aa4c
- dropped pre-cvs changelog

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0588e10
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0628a9
- converted to UTF-8

* Sun Nov 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 0785751
- updated to 1.2.5

* Tue Sep 12 2006 Jakub Bogusz <qboosh@pld-linux.org> f59dd76
- updated to 1.2.4

* Sat Mar 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 03ab1b5
- updated to 1.1.19

* Fri Feb 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 167e97c
- updated to 1.1.18

* Sat Oct 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 07b3e44
- updated to 1.1.17

* Sun Jun 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 2063e6a
- updated to 1.1.10

* Sat Apr 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 9e1b39c
- updated to 1.1.9

* Sat Apr 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 7f732a4
- updated to 1.1.8

* Tue Mar 22 2005 Jakub Bogusz <qboosh@pld-linux.org> eeaeecf
- updated to 1.1.6

* Fri Jan 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 8daea63
- updated to 1.1.2

* Sun Dec 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 3d6d806
- updated to 1.1.1
- mention fontforge in descs (it obsoleted pfaedit)

* Fri Dec 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 45dfa8f
- updated to 1.0.36

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 439a205
- updated to 1.0.35

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> cbfddf9
- updated to 1.0.34, direct Source0 URL

* Sun Jul 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 7d0cb05
- updated to 1.0.33

* Sat Jun 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 5460494
- updated to 1.0.32

